# LinkedIn Jobs Enhanced

## Motivation

LinkedIn job filters are just too limited. There are spammy companies that spray their random-ass job listings every single day, which mkaes it difficult to find stuff. There is also no option to create custom filters (at least in Free plan AFAIK) to show/hide listings.

## Setup

1. Install this userscript
2. Go to Tampermonkey Dashboard > Settings > Set _Config Mode_ to _Advanced_ (THIS IS MANDATORY!)
3. Go to LinkedIn Jobs page, verify that extension is loaded and working. It should yell at you.

## Configuring filters

Post following setup instructions, visit Tampermonkey Dashboard > Click on script name > Click _Storage_ tab.

You should see JSON like the following:

```json
{
    "disliked": [],
    "liked": [],
    "mode": "hide-disliked",
    "debug": false
}
```

Add companies you like into `liked` as strings, companies you don't want to be shown in listing page into `disliked`. The names are not case-sensitive, and can include partial names. Note that there is no exact match. i.e, if you added `"Evil"` into `disliked` and there are two companies in job search page — "Evil Corp" and "Not Evil Corp", it'll hide both.

### Modes

Valid values: `"hide-disliked"` (default), `"show-liked"`

As the values suggest, it either hides companies that you set in `disliked` array in storage (default) or it'll only show companies in `liked` array.


## TODO

- [ ] Add icons to job list items to add to liked/disliked to avoid manual edits
- [ ] Show some config UI to toggle between _Show liked_ and _Hide disliked_ modes
- [ ] Preconfigured lists of naughty companies (ones who spam the job listings)
